Bug 5403 - No kinetic scrolling and rubber banding (bounce effect) in PDF reader
: No kinetic scrolling and rubber banding (bounce effect) in PDF reader
Status: RESOLVED FIXED
Product: Utilities
PDF reader
: 5.0/(1.2009.41-10)
: All Linux
: Low enhancement with 12 votes (vote)
: Harmattan
Assigned To: unassigned
: pdf-reader-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-13 18:47 UTC by Tomasz Dominikowski
Modified: 2010-10-25 23:10 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tomasz Dominikowski (reporter) 2009-10-13 18:47:27 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:

Open a PDF file in the default PDF viewer and try scrolling around and moving
to edges of the screen.

EXPECTED OUTCOME:

There should be kinetic scrolling enabled like in the web browser and the image
viewer. There should also be rubber-banding in all four directions like in the
web browser to indicate boundaries. Without it, the UI experience is
inconsistent.

ACTUAL OUTCOME:

No kinetic scrolling and rubber-banding.

REPRODUCIBILITY:
(always/sometimes/once)

Always.

EXTRA SOFTWARE INSTALLED:

None that would interfere.

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.0.14)
Gecko/2009090216 Ubuntu/9.04 (jaunty) Firefox/3.0.14
Comment 1 Andre Klapper maemo.org 2009-10-13 19:01:39 UTC
As written this is optional. Not everything has that effect (e.g. textviews
generally don't), hence changing Severity to Enhancement.
Comment 2 David Österberg 2009-10-22 01:13:57 UTC
*** This bug has been confirmed by popular vote. ***
Comment 3 Donn Morrison 2009-12-07 00:04:58 UTC
I've noticed that if you open a PDF and finger drag to scroll diagonally (when
zoomed in, for example), the scrolling seems discrete, rather than smooth. The
text seems to shake as the diagonal scrolling happens. Compare with finger
scrolling vertically or horizontally.
Comment 4 Andre Klapper maemo.org 2010-10-25 23:10:42 UTC
Nokia does NOT plan to fix this for the Maemo5 PDF viewer as the Maemo 5 User
Interface is considered stable by Nokia.
This will be FIXED for the Harmattan PDF viewer ("Harmattan" is the codename of
the software version after Maemo 5).